更新时间:2022-05-19 GMT+08:00
分享

目标数据库版本是否支持

MySQL迁移场景

表1 目标数据库版本是否支持

预检查项

目标数据库版本是否支持。

描述

检查目标数据库版本是否属于MySQL 5.6.x、MySQL 5.7.x和MySQL 8.0.x。

不通过提示处理建议

不通过原因:目标数据库版本不支持。

处理建议:通过导入和导出的方式进行迁移,请参考《关系型数据库用户指南》中“使用mysqldump迁移MySQL数据”章节。

不通过原因:用户基本权限不足。

处理建议:查看对应数据库账号权限是否符合迁移要求。

不通过原因:内部错误。

处理建议:请联系华为技术支持人员处理。

不通过原因:目标数据库连接失败,导致该项检查无法进行。

处理建议:查看目标数据库连接是否成功。

MongoDB->DDS数据库迁移场景

表2 目标数据库版本是否支持

预检查项

目标数据库版本是否支持。

描述

检查目标数据库版本是否属于 3.4.x、 4.0.x和 4.2.x。

不通过提示处理建议

不通过原因:目标数据库版本不支持。

处理建议:查看目标数据库版本是否符合迁移要求,目前只支持3.4.x、4.0.x和4.2.x版本。

不通过原因:目标数据库连接失败,导致该项检查无法进行。

处理建议:查看目标数据库连接是否成功。

不通过原因:内部错误。

处理建议:请联系华为技术支持人员处理。

Oracle数据库->MySQL迁移场景

表3 目标数据库版本是否支持

预检查项

目标数据库版本是否支持。

描述

检查目标数据库版本是否符合Oracle到MySQL迁移的要求。

不通过提示处理建议

不通过原因:目标数据库版本不支持。

处理建议:查看目标数据库版本是否符合迁移要求,目前目标数据库支持MySQL 5.6.x和MySQL 5.7.x版本。

Oracle数据库->PostgreSQL迁移场景

表4 目标数据库版本是否支持

预检查项

目标数据库版本是否支持。

描述

检查目标数据库版本是否符合Oracle到PostgreSQL迁移的要求。

不通过提示处理建议

不通过原因:目标数据库版本不支持。

处理建议:查看目标数据库版本是否符合迁移要求,目前目标数据库支持PostgreSQL增强版版本。

MySQL->PostgreSQL同步场景

表5 目标数据库版本是否支持

预检查项

目标数据库版本是否支持。

描述

检查目标数据库版本是否符合MySQL到PostgreSQL实时同步的要求。

不通过提示处理建议

不通过原因:目标数据库版本不支持。

处理建议:查看目标数据库版本是否符合迁移要求,目前目标数据库只支持PostgreSQL 10.x版本。

分享:

    相关文档

    相关产品

close